Skip to content

List tags

Request

Returns a paginated list of Tags for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""associatedResourceType""name"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
associatedResourceIdstring

Identifier of the resource this tag is associated with.

Example:associatedResourceId=123e4567-e89b-12d3-a456-426614174000
associatedResourceTypestring

Type of resource this tag is associated with (e.g., animal, contact, invoice).

categoryIdstring

Identifier of the tag category, if applicable.

Example:categoryId=123e4567-e89b-12d3-a456-426614174000
isActiveboolean

Whether the tag is currently active and can be used.

namestring

Human-readable tag label.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/tag?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&associatedResourceId=123e4567-e89b-12d3-a456-426614174000&associatedResourceType=string&categoryId=123e4567-e89b-12d3-a456-426614174000&isActive=true&name=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Tags